Recommendation Metadata - List
Gets the list of metadata entities.
GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01
GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
The filter to apply to the recommendation metadata. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetMetadata
Sample request
GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01
Sample response
{
"nextLink": "https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01&$skipToken=abc123",
"value": [
{
"id": "/providers/Microsoft.Advisor/metadata/recommendationType",
"name": "recommendationType",
"type": "Microsoft.Advisor/metadata",
"properties": {
"displayName": "Recommendation Type",
"dependsOn": [
"category",
"impact"
],
"applicableScenarios": [
"Alerts"
],
"supportedValues": [
{
"id": "6a2b1e70-bd4c-4163-86de-5243d7ac05ee",
"displayName": "Upgrade your SKU or add more instances to ensure fault tolerance"
},
{
"id": "da6630fb-4286-4996-92a3-a43f5f26dd34",
"displayName": "Delete ExpressRoute circuits in the provider status of Not Provisioned"
}
]
}
},
{
"id": "/providers/Microsoft.Advisor/metadata/recommendationCategory",
"name": "recommendationCategory",
"type": "Microsoft.Advisor/metadata",
"properties": {
"displayName": "Category",
"dependsOn": null,
"applicableScenarios": [
"Alerts"
],
"supportedValues": [
{
"id": "Cost",
"displayName": "Cost"
},
{
"id": "Performance",
"displayName": "Performance"
}
]
}
},
{
"id": "/providers/Microsoft.Advisor/metadata/recommendationImpact",
"name": "recommendationImpact",
"type": "Microsoft.Advisor/metadata",
"properties": {
"displayName": "Impact",
"dependsOn": null,
"applicableScenarios": null,
"supportedValues": [
{
"id": "High",
"displayName": "High"
},
{
"id": "Medium",
"displayName": "Medium"
},
{
"id": "Low",
"displayName": "Low"
}
]
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Arm |
|
|
ARMError |
ARM error response body. |
|
created |
The type of identity that created the resource. |
|
Metadata |
The metadata entity contract. |
|
Metadata |
The response of a MetadataEntity list operation. |
|
Metadata |
The metadata supported value detail. |
| Scenario |
The list of scenarios applicable to this metadata entity. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ArmErrorResponse
| Name | Type | Description |
|---|---|---|
| error |
ARM error response body. |
ARMErrorResponseBody
ARM error response body.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gets or sets the string that can be used to programmatically identify the error. |
| message |
string |
Gets or sets the string that describes the error in detail and provides debugging information. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
MetadataEntity
The metadata entity contract.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.applicableScenarios |
Scenario[] |
The list of scenarios applicable to this metadata entity. |
| properties.dependsOn |
string[] |
The list of keys on which this entity depends on. |
| properties.displayName |
string |
The display name. |
| properties.supportedValues |
The list of supported values. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
MetadataEntityListResult
The response of a MetadataEntity list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The MetadataEntity items on this page |
MetadataSupportedValueDetail
The metadata supported value detail.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name. |
| id |
string |
The id. |
Scenario
The list of scenarios applicable to this metadata entity.
| Value | Description |
|---|---|
| Alerts |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |